io.etcd.jetcd.options

## Class PutOption

- java.lang.Object
- - io.etcd.jetcd.options.PutOption

    public final class PutOption
    extends Object

The options for put operation.

### Nested Class Summary

Nested Classes
`static class` `PutOption.Builder` Builder to construct a put option.

### Field Summary

Fields
`static PutOption` `DEFAULT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `getLeaseId()` Get the lease id.
`boolean` `getPrevKV()` Get the previous KV.
`static PutOption.Builder` `newBuilder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final PutOption DEFAULT

### Method Detail

#### newBuilder

    public static PutOption.Builder newBuilder()

#### getLeaseId

    public long getLeaseId()

Get the lease id.

Returns:
  the lease id

#### getPrevKV

    public boolean getPrevKV()

Get the previous KV.

Returns:
  the prevKV